path: /build/build/hatch-requirements-txt-dev-python-0.4.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/hatch-requirements-txt -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/hatch-requirements-txt
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/hatch-requirements-txt && luet-portage
    --dir /pkgdir/hatch-requirements-txt dev-python/hatch-requirements-txt && eval
    'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:45ec65c16bbfcbad1487f2363e8d3f91664c5a011d9a67e203c6ca0d7b33d975
  package:
    name: hatch-requirements-txt
    version: 0.4.1
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Hatchling plugin to read project dependencies from requirements.txt
    uri:
    - https://pypi.org/project/hatch-requirements-txt/
    license: MIT
    buildtimestamp: 2024-08-19 09:24:13.692741118 +0000 UTC m=+120.653890322
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/hatchling-1.3.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/hatch-requirements-txt
      kit: python-modules-kit
      original.package.name: dev-python/hatch-requirements-txt
      original.package.slot: "0"
      original.package.version: 0.4.1
    treedir: /build/packages
  package_dir: /pkgdir/hatch-requirements-txt
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8421ffa1c84616463d20b7eabcfad9dc01740ad260d4331154f3aa71dcc4d111
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/hatch_requirements_txt/__init__.py
- usr/lib/python3.9/site-packages/hatch_requirements_txt/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hatch_requirements_txt/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hatch_requirements_txt/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/hatch_requirements_txt/py.typed
- usr/lib/python3.9/site-packages/hatch_requirements_txt-0.4.1.dist-info/METADATA
- usr/lib/python3.9/site-packages/hatch_requirements_txt-0.4.1.dist-info/RECORD
- usr/lib/python3.9/site-packages/hatch_requirements_txt-0.4.1.dist-info/WHEEL
- usr/lib/python3.9/site-packages/hatch_requirements_txt-0.4.1.dist-info/entry_points.txt
- usr/lib/python3.9/site-packages/hatch_requirements_txt-0.4.1.dist-info/licenses/LICENSE
- usr/share/doc/hatch-requirements-txt-0.4.1/README.rst.bz2
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/BDEPEND
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/BUILD_TIME
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/CATEGORY
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/CBUILD
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/CFLAGS
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/CHOST
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/CONTENTS
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/COUNTER
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/CXXFLAGS
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/DEFINED_PHASES
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/DESCRIPTION
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/EAPI
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/FEATURES
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/HOMEPAGE
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/INHERITED
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/IUSE
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/KEYWORDS
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/LDFLAGS
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/LICENSE
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/PF
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/RDEPEND
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/SIZE
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/SLOT
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/USE
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/environment.bz2
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/hatch-requirements-txt-0.4.1.ebuild
- var/db/pkg/dev-python/hatch-requirements-txt-0.4.1/repository
package_cacheimage: ""
runtime:
  name: hatch-requirements-txt
  version: 0.4.1
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Hatchling plugin to read project dependencies from requirements.txt
  uri:
  - https://pypi.org/project/hatch-requirements-txt/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/hatchling-1.3.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/hatch-requirements-txt
    kit: python-modules-kit
    original.package.name: dev-python/hatch-requirements-txt
    original.package.slot: "0"
    original.package.version: 0.4.1
